    PROGRAM a02aafe

!      A02AAF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : a02aaf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: xi, xr, yi, yr
!      .. Executable Statements ..
       WRITE (nout,*) 'A02AAF Example Program Results'

!      Skip heading in data file
       READ (nin,*)

       READ (nin,*) xr, xi

!      Compute square root of (XR,XI) and return in (YR,YI)

       CALL a02aaf(xr,xi,yr,yi)

       WRITE (nout,*)
       WRITE (nout,*) '   XR    XI      YR       YI'
       WRITE (nout,99999) xr, xi, yr, yi

99999  FORMAT (1X,2F6.1,2F9.4)
    END PROGRAM a02aafe
